Bug 116655 - can't power off display of Dell Inspiron 8000
can't power off display of Dell Inspiron 8000
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-24 03:31 EST by Alexandre Oliva
Modified: 2015-01-04 17:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:54:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2004-02-24 03:31:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040217

Description of problem:
The keystrokey Fn D used to switch the power of the display off in
FC1.  In 2.6 kernels, this no longer works.  With ACPI enabled, the
keystroke is simply ignored.  To my surprise, even booting with acpi
disabled, the keystroke still doesn't have the desired effect: the
screen does blank for a moment, but a few tens of seconds later,
something brings it back up.  It's not X, because I tested it even
without X running.

Version-Release number of selected component (if applicable):
kernel-2.6.3-1.91

How reproducible:
Always

Steps to Reproduce:
1.Press Fn D on a Dell Inspiron 8000 laptop, or similar

Actual Results:  Nothing happens, if ACPI is enabled, or the screen
blanks for a few tens of seconds, but comes back, if ACPI is disabled.

Expected Results:  It should blank and remain so until the next keystroke.

Additional info:

Nearly closing the lid causes the screen to blank out, but this is not
very convenient since if you reboot with the lid in such a state, it
actually powers off.  Not the kernel's fault in this case.
Comment 1 Dave Jones 2004-12-08 00:37:56 EST
any better with the 2.6.9 kernel ?
Comment 2 Alexandre Oliva 2004-12-14 11:40:34 EST
Nope, 2.6.9-1.715_FC3 doesn't deal with Fn-D at all with acpi on (as expected).
 If I turn it off and enable apm, Fn-D still powers off the display for almost a
second, even during boot up.
Comment 3 Dave Jones 2005-07-15 16:14:09 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 4 Dave Jones 2005-10-02 20:54:20 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.